Bug 1253788 - RFE: Merge rxvt-unicode subpackages
RFE: Merge rxvt-unicode subpackages
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rxvt-unicode (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 13:22 EDT by Jonathan Underwood
Modified: 2016-07-19 13:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:30:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2015-08-14 13:22:41 EDT
Description of problem:
Running this perl script:

http://www.vim.org/scripts/script.php?script_id=1349

in a urxvt term shows that colours beyond 87 are missing.

Version-Release number of selected component (if applicable):
rxvt-unicode-9.21-3.fc22.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. Download the script above and run perl colortest
2. Compare the output with what you see in xterm or gnome-terminal
Comment 1 Jonathan Underwood 2015-08-14 13:34:43 EDT
OK, so, I see that 256 color support is provided in a separate packagerxvt-unicode-256color , and a separate binary, urxvt256c.  This is really confusing for users, and is inconsistent with 99% of the web documentation. Why don't we switch to building 256 color support by default?
Comment 2 Jonathan Underwood 2015-08-18 13:44:06 EDT
Similarly, I don't see any reason not to ship the default binary with multi language support. Shipping the four separate binaries really doesn't seem to serve much purpose? Or am I missing something?
Comment 3 Fedora End Of Life 2016-07-19 13:30:47 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.